Bug 817688 - Change GWT compile style to "Pretty" to reduce application size
Change GWT compile style to "Pretty" to reduce application size
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Performance (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 17:44 EDT by Mike Thompson
Modified: 2013-09-01 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:18:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Show load times for each gwt compile option (38.24 KB, image/jpeg)
2012-04-30 17:44 EDT, Mike Thompson
no flags Details

  None (edit)
Description Mike Thompson 2012-04-30 17:44:42 EDT
Created attachment 581285 [details]
Show load times for each gwt compile option

Description of problem:

The Pretty option gives us the best performance option while still maintaining the ability for stack traces.

It reduces the application size by 1/3.


See attachment for App Initial Download Times.
Comment 1 Mike Thompson 2012-05-10 11:41:34 EDT
master commit: e271195

As the above report confirms that the pretty option is the best size/performance option while still providing usable stack traces with source file names and line numbers. See http://code.google.com/p/google-web-toolkit/wiki/WebModeExceptions for options.


This choice should eliminate the option for OBF with emulated Stack traces. So I'm removing the following code from CoreGui.gwt.xml (it is here for future reference):

 <!-- the emulated stack allows us to run in OBF compiled script and gives us stack traces
         for debugging (we will investigate this more in the near future).
         see:  http://code.google.com/p/google-web-toolkit/wiki/WebModeExceptions
    <set-property name="compiler.stackMode" value="emulated" />
    <set-configuration-property name="compiler.emulatedStack.recordLineNumbers" value="true" />
    <set-configuration-property name="compiler.emulatedStack.recordFileNames" value="true" />
    -->
Comment 2 Heiko W. Rupp 2013-09-01 15:18:40 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.